// ignore_for_file: annotate_overrides, overridden_fields

import 'package:turquessa_mesas_hoster/core/models/basico_model.dart';

class Categoria {
  int? id;
  String? nombre;
  int? venta;
  dynamic verEnCaja;
  bool? destacada;
  int? maximo;
  int? esToping;
  String? creado;
  String? modificado;
  String? eliminado;

  Categoria({
    this.id,
    this.nombre,
    this.venta,
    this.verEnCaja,
    this.destacada,
    this.maximo,
    this.esToping,
    this.creado,
    this.modificado,
    this.eliminado,
  });
  factory Categoria.fromJson(Map<String, dynamic> json) {
    return Categoria(
      id: Basico.parseInt(json['id']),
      nombre: Basico.parseString(json['nombre']),
      venta: Basico.parseInt(json['venta']),
      verEnCaja: Basico.parseString(json['verEnCaja']),
      destacada: Basico.parseBolean(json['destaca']),
      maximo: Basico.parseInt(json['maximo']),
      esToping: Basico.parseInt(json['esToping']),
      creado: Basico.parseString(json['creado']),
      modificado: Basico.parseString(json['modificado']),
      eliminado: Basico.parseString(json['eliminado']),
    );
  }
}
